IF COL_LENGTH('CD_Accesos_Prod', 'Flag_Consumible') IS NULL 
BEGIN
	ALTER TABLE CD_Accesos_Prod ADD Flag_Consumible TINYINT DEFAULT(0)
END
GO
UPDATE CD_Accesos_Prod SET Flag_Consumible = 0 WHERE Flag_Consumible IS NULL


IF COL_LENGTH('CD_Accesos_Prod', 'Id_Tipo_Cbte') IS NULL 
BEGIN
	ALTER TABLE CD_Accesos_Prod ADD Id_Tipo_Cbte CHAR(4) DEFAULT('')
	

	CREATE INDEX IX_CDACP_PorTipoCbte ON CD_Accesos_Prod (Id_Tipo_Cbte)

	ALTER TABLE CD_Accesos_Prod ADD CONSTRAINT FK_CDACP_Cbtes_Tipos FOREIGN KEY (Id_Tipo_Cbte)
		REFERENCES Cbtes_Tipos (Id_Tipo_Cbte)
END
GO
UPDATE CD_Accesos_Prod SET Id_Tipo_Cbte = '' WHERE Id_Tipo_Cbte IS NULL






